guiDragDrop = {};

function guiDragDrop:setPosition(self, newX, newY, saveDragDrop, dragDropWidth, dragDropHeight, dragDropType)
	if not saveDragDrop then			
		local foundHelpText = false;
		local widthTable = 0;
		local heightTable = 0;		
		if dragDropType ~= nil then
			widthTable = dragDropWidth;
			heightTable = dragDropHeight;
		end;
		local checkPosX = newX+widthTable;		
		local checkPosY = newY-heightTable;--+widthTable;		
		local color = getWarningRahmen(checkPosX, checkPosY);
		if color == "red" then					
			foundHelpText = true;
			g_currentMission.guiMenue.dragDrop.warning = "Position not Good\nsee not all Menue/Taks Icons";			
		elseif color == "yellow" then
			foundHelpText = true;
			g_currentMission.guiMenue.dragDrop.warning = "Possibly Position not Good\nsee possibly not all Menue/Taks Icons";	
		end;
		if dragDropType == "guiMasterMenue" then			
			g_currentMission.guiMenue.default.posX = newX; --x+dragDropWidth;
			g_currentMission.guiMenue.default.posY = newY; --y-dragDropHeight;
		end;
		if not foundHelpText then		
			g_currentMission.guiMenue.dragDrop.warning = "";			
		end;				
	else		
		g_currentMission.guiMenue.dragDrop.warning = "";		
	end;	
end;

function guiDragDrop:getWarning(self, x, y, dragDropWidth, dragDropHeight, dragDropType)
	local widthTable = 0;
	local heightTable = 0;		
	if dragDropType ~= nil then
		widthTable = dragDropWidth;
		heightTable = dragDropHeight;
	end;
	local checkPosX = x+widthTable;		
	local checkPosY = y-heightTable;		
	local color = getWarningRahmen(checkPosX, checkPosY);
	if color == "warningRed" then
		g_currentMission.guiMenue.dragDrop.warning = "Position not Good\ncannot be set";
		g_currentMission.guiMenue.dragDrop.color = guiSetGet.colors["warningRed"];
		g_currentMission.guiMenue.dragDrop.errorPos = true;
		return true, color;	
	elseif color == "red" then
		g_currentMission.guiMenue.dragDrop.warning = "Position not Good\nsee not all Menue/Taks Icons";
		g_currentMission.guiMenue.dragDrop.color = guiSetGet.colors["red"];
		return false, color;
	elseif color == "yellow" then		
		g_currentMission.guiMenue.dragDrop.warning = "Position possibly not Good\nsee possibly not all Menue/Taks Icons";
		g_currentMission.guiMenue.dragDrop.color = guiSetGet.colors["yellow"];
		return false, color;	
	else
		g_currentMission.guiMenue.dragDrop.warning = "Position is Good";
		g_currentMission.guiMenue.dragDrop.color = guiSetGet.colors["green"];
		return false, color;
	end;
	return false, color;
end;

function getWarningRahmen(x, y)	
	if x > 1.006 or x <= 0.002 or y >= 1.006 or y <= -0.002 then return "warningRed";end;
	if x > 1.004 or x <= 0.004 or y >= 1.004 or y <= -0.004 then return "red";end;
	if x > 1.0 and x < 1.004 or y < 0.0 and y > -0.004 then return "yellow";end;	
	return "green";
end;